vec4 SimpleReflection(vec3 viewPos, vec3 normal, float dither, out float reflectionMask) {
	vec4 color = vec4(0.0);
	float border = 0.0;
	reflectionMask = 0.0;

	vec4 pos = Raytrace(depthtex1, viewPos, normal, dither);

	#if REFLECTION_SKYBOX > 0
	float zThreshold = 1.0 + EPS;
	#else
	float zThreshold = 1.0 - EPS;
	#endif

	if (pos.z < zThreshold) {

		color = texture2D(gaux2, pos.st);

		reflectionMask = color.a;

		#if REFLECTION_SKYBOX > 0
		color.a = 1.0;
		#endif

		border = clamp01(1.0 - pow(cdist(pos.st), 50.0));
		color.a *= border;
		reflectionMask *= border;
	}

	return color;
}